package com.gzlh.bus.task;

import cn.hutool.cache.CacheUtil;
import cn.hutool.cache.impl.TimedCache;
import cn.hutool.extra.spring.SpringUtil;
import com.gzlh.bus.EventBus;
import com.gzlh.config.ModuleEnum;
import com.gzlh.device.plc.event.PLCEvent;
import com.gzlh.device.weighbridge.handler.impl.CommonWeighbridgeHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

//@Component
@Slf4j
public class InitTask {
    private final TimedCache<String, Integer> COUNT = CacheUtil.newTimedCache(60000);

//    @Scheduled(fixedDelay = 5000)
    public void init() {
        String key = "cache";
        Integer count = COUNT.get(key, false);
        if (count == null || CommonWeighbridgeHandler.hsCar) {
            count = 1;
            COUNT.put(key, count);
            return;
        }
      //  log.info("count:{}", count);
        if (!CommonWeighbridgeHandler.hsCar && count > 3) {
            EventBus eventBus = SpringUtil.getBean(EventBus.class);
            log.info("init");
            count = 0;
            COUNT.put(key, count);
            eventBus.startEvent(ModuleEnum.PLC_MODULE.getModuleEn() + "." + PLCEvent.IDLE);
        }
        count = count + 1;
        COUNT.put(key, count);
    }
}
