package com.gzlh.device.plc.handler;

import cn.hutool.core.util.RandomUtil;
import cn.hutool.extra.spring.SpringUtil;
import com.gzlh.bus.SysConfig;
import com.gzlh.config.dto.SerialSetting;
import com.gzlh.config.task.Task;
import com.gzlh.config.task.TaskService;
import com.gzlh.device.plc.client.PlcNettyConfig;
import com.gzlh.utils.DeviceCache;
import com.gzlh.utils.ModbusUtils;
import lombok.extern.slf4j.Slf4j;

/**
 * 检查下发落杆指令下发之后任然没有抬杆
 */
@Slf4j
public class CheckDownTask extends Task {


    private int tryCount;

    public CheckDownTask(String id, long delayInMilliseconds, int tryCount) {
        super(id, delayInMilliseconds);
        this.tryCount = tryCount;
    }

    @Override
    public void run() {
        String gatePoint = SysConfig.serialSetting.getPlc().getOut().getGatePoint();
        String command = PLCHadnler.COMMAND_PREFIX + gatePoint + PLCHadnler.COMMAND_OFF;
        String packData = ModbusUtils.buildRequestPacket(command);
        log.info("plc发送落杆指令:{},{}", packData, tryCount);
        PlcNettyConfig plcNettyConfig = SpringUtil.getBean(PlcNettyConfig.class);
        plcNettyConfig.send(packData);
    }
}
